import { OnInit } from '@angular/core';
import { ModalController, NavParams } from '@ionic/angular';
import { Category } from '../../../models/category/category';
import { CategorySelectListPanelViewComponent } from '../category-select-list-panel-view/category-select-list-panel-view.component';
export declare class CategoryListModalComponent implements OnInit {
    private modalCtrl;
    navParams: NavParams;
    categoryList: CategorySelectListPanelViewComponent;
    type: string;
    categories: Array<Category>;
    categoriesSelect: Array<Category>;
    constructor(modalCtrl: ModalController, navParams: NavParams);
    ngOnInit(): void;
    select(categories: Array<Category>): void;
    tracking(index: number, category: Category): string;
    dismiss(): void;
    close(): void;
    ionViewDidEnter(): void;
}
