import { EventEmitter, OnInit } from '@angular/core';
import { Category } from '../../../models/category/category';
export declare class CategoryListPanelViewComponent implements OnInit {
    view: EventEmitter<Category>;
    remove: EventEmitter<Category>;
    edit: EventEmitter<Category>;
    loaded: EventEmitter<Category[]>;
    categorySelect: Category | null;
    categories: Array<Category>;
    private descending;
    order: number;
    column: string;
    terms: string;
    searchColumn: string;
    constructor();
    ngOnInit(): void;
    loadCategories(categories: Array<Category>): void;
    removeCategory(category: Category): void;
    editCategory(category: Category): void;
    selectCategory(category: Category): void;
    tracking(index: number, category: Category): string;
    sort(): void;
}
