import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { LoggerService } from 'octali-utils';
import { Maker } from '../../../models/maker/maker';
export declare class MakerCreatePanelViewComponent implements OnInit {
    private formBuilder;
    private logger;
    update: EventEmitter<Maker>;
    maker: Maker | null;
    id: string;
    makerForm: FormGroup;
    description: string;
    hasImage: boolean;
    image: any;
    extensionImage: string | undefined;
    nameImage: string | undefined;
    typeImage: string | undefined;
    statutState: boolean;
    statut: string;
    constructor(formBuilder: FormBuilder, logger: LoggerService);
    ngOnInit(): void;
    select(maker: Maker): void;
    onContentChanged(content: any): void;
    onSubmitForm(): Promise<void>;
    imageSelected(file: any): void;
    setStatut(): void;
}
