import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { Maker } from '../../../models/maker/maker';
export declare class MakerListPanelViewComponent implements OnInit, OnDestroy {
    view: EventEmitter<Maker>;
    remove: EventEmitter<Maker>;
    edit: EventEmitter<Maker>;
    makerSelect: Maker | null;
    makers: Array<Maker> | null;
    private makersSubscription;
    descending: boolean;
    order: number;
    column: string;
    terms: string;
    searchColumn: string;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    loadMakers(makers: Array<Maker>): void;
    addMaker(): void;
    removeMaker(maker: Maker): void;
    editMaker(maker: Maker): void;
    selectMaker(maker: Maker): void;
    sort(): void;
    tracking(index: number, maker: Maker): string;
}
