import { EventEmitter, OnInit } from '@angular/core';
import { Variation } from '../../../models/variation/variation';
export declare class VariationListPanelViewComponent implements OnInit {
    view: EventEmitter<Variation>;
    remove: EventEmitter<Variation>;
    variationSelect: Variation | null;
    variations: Array<Variation>;
    variationsSelected: Array<Variation>;
    private descending;
    order: number;
    column: string;
    terms: string;
    searchColumn: string;
    constructor();
    ngOnInit(): void;
    loadVariations(variations: Array<Variation>): void;
    setVariations(variations: Array<Variation>): void;
    removeVariation(variation: Variation): void;
    selectVariation(variation: Variation): void;
    tracking(index: number, variation: Variation): string;
    sort(): void;
}
