export declare class Declination {
    private id;
    private variations;
    private values;
    private product;
    private ean;
    private shipping_cost;
    private weight;
    private width;
    private length;
    private height;
    private quantity;
    private sold;
    private cost;
    private price;
    private sold_price;
    private discount;
    private wprice;
    private sold_wprice;
    private wdiscount;
    private image;
    private thumb;
    private zoom;
    private images;
    private createdAt;
    private availableAt;
    private supplyAt;
    private statut;
    private sale;
    private specialWeb;
    private specialShop;
    private discontinued;
    constructor();
    static setByDocument(doc: any): Declination;
    mapToBdd(declination: Declination): any;
    getId(): string;
    setId(id: string): void;
    getProduct(): string;
    setProduct(product: string): void;
    getSold(): boolean;
    setSold(sold: boolean): void;
    getCost(): number;
    setCost(cost: number): void;
    getPrice(): number;
    setPrice(price: number): void;
    getSoldPrice(): number;
    setSoldPrice(price: number): void;
    isDiscount(): boolean;
    setDiscount(discount: boolean): void;
    getWPrice(): number;
    setWPrice(price: number): void;
    getSoldWprice(): number;
    setSoldWPrice(price: number): void;
    isWDiscount(): boolean;
    setWDiscount(discount: boolean): void;
    getShippingCost(): number;
    setShippingCost(cost: number): void;
    getEan(): string;
    setEan(ean: string): void;
    getWeight(): number;
    setWeight(weight: number): void;
    getWidth(): number;
    setWidth(width: number): void;
    getHeight(): number;
    setHeight(height: number): void;
    getLength(): number;
    setLength(length: number): void;
    getQuantity(): number;
    setQuantity(quantity: number): void;
    getImage(): Map<string, string>;
    setImage(image: any): void;
    getThumb(): Map<string, string>;
    setThumb(image: any): void;
    getZoom(): Map<string, string>;
    setZoom(image: Map<string, string>): void;
    getImages(): Array<Map<string, string>>;
    setImages(images: Array<Map<string, string>>): void;
    getCreatedAt(): string;
    setCreatedAt(date: string): void;
    getAvailableAt(): string;
    setAvailableAt(date: string): void;
    getSupplyAt(): string;
    setSupplyAt(date: string): void;
    getStatut(): string;
    setStatut(statut: string): void;
    getVariations(): Array<string>;
    setVariations(variations: Array<string>): void;
    getVariationsValues(): Map<string, string>;
    setVariationsValues(values: Map<string, string>): void;
    isSpecialShop(): boolean;
    setSpecialShop(is: boolean): void;
    isSpecialWeb(): boolean;
    setSpecialWeb(is: boolean): void;
    isSale(): boolean;
    setSale(is: boolean): void;
    isDiscontinued(): boolean;
    setDiscontinued(is: boolean): void;
}
