export declare class Feature {
    private id;
    private name;
    private description;
    private type;
    private typeValue;
    private nameValue;
    private multiple;
    private withCategory;
    private withValue;
    private values;
    private icon;
    private display;
    private order;
    private filter;
    constructor();
    static setByDocument(doc: any): Feature;
    static mapToBdd(feature: Feature): any;
    getId(): string;
    setId(id: string): void;
    getName(): string;
    setName(name: string): void;
    getDescription(): string;
    setDescription(description: string): void;
    getType(): string;
    setType(type: string): void;
    getTypeValue(): string;
    setTypeValue(type: string): void;
    getNameValue(): string;
    setNameValue(name: string): void;
    getMultiple(): boolean;
    setMultiple(multiple: boolean): void;
    getWithCategory(): boolean;
    setWithCategory(withCategory: boolean): void;
    getWithValue(): string;
    setWithValue(withValue: string): void;
    getValues(): Array<string>;
    setValues(values: Array<string>): void;
    addValue(value: string): boolean;
    getIcon(): any;
    setIcon(icon: any): void;
    getDisplay(): any;
    setDisplay(display: any): void;
    getOrder(): number;
    setOrder(order: number): void;
    getFilter(): any;
    setFilter(filter: any): void;
}
