import { BehaviorSubject } from 'rxjs';
import { Declination } from '../../models/declination/declination';
import { DeclinationDaoService } from './declination-dao.service';
export declare class DeclinationService {
    private dao;
    constructor(dao: DeclinationDaoService);
    getCombinationsObs(): BehaviorSubject<Array<Declination> | null>;
    getCombinationsByIdObs(): BehaviorSubject<Map<string, Declination> | null>;
    getCombinationsByEanObs(): BehaviorSubject<Map<string, Array<Declination>> | null>;
    getCombinationsByProdObs(): BehaviorSubject<Map<string, Array<Declination>> | null>;
}
