import { DisplayerService } from 'octali-utils';
import { BehaviorSubject } from 'rxjs';
import { Feature } from '../../models/feature/feature';
import { FeatureDaoService } from './feature-dao.service';
export declare class FeatureService {
    private dao;
    private displayer;
    constructor(dao: FeatureDaoService, displayer: DisplayerService);
    getFeaturesObs(): BehaviorSubject<Array<Feature> | null>;
    getFeaturesIdObs(): BehaviorSubject<Map<string, Feature> | null>;
    setFeature(feature: Feature, display?: boolean): Promise<Feature | null>;
    createFeature(feature: Feature, display?: boolean): Promise<Feature | null>;
    updateFeature(feature: Feature, display?: boolean): Promise<Feature | null>;
    addFeatureValue(feature: Feature): Promise<any | null>;
}
