import { AngularFirestore } from '@angular/fire/firestore';
import { LoggerService } from 'octali-utils';
import { BehaviorSubject } from 'rxjs';
import { Product } from '../../models/product/product';
export declare class ProductDaoService {
    private afStore;
    private logger;
    private productsObs;
    private productsIdObs;
    private productsEanObs;
    private productsCatObs;
    constructor(afStore: AngularFirestore, logger: LoggerService);
    getProductsObs(): BehaviorSubject<Array<Product> | null>;
    getProductsByIdObs(): BehaviorSubject<Map<string, Product> | null>;
    getProductsByEanObs(): BehaviorSubject<Map<string, Array<Product>> | null>;
    getProductsByCatObs(): BehaviorSubject<Map<string, Array<Product>> | null>;
}
