import { BehaviorSubject } from 'rxjs';
import { Product } from '../../models/product/product';
import { ProductDaoService } from './product-dao.service';
export declare class ProductService {
    private dao;
    constructor(dao: ProductDaoService);
    getProductsObs(): BehaviorSubject<Array<Product> | null>;
    getProductsByIdObs(): BehaviorSubject<Map<string, Product> | null>;
    getProductsByEanObs(): BehaviorSubject<Map<string, Array<Product>> | null>;
    getProductsByCatObs(): BehaviorSubject<Map<string, Array<Product>> | null>;
}
