import { DisplayerService } from 'octali-utils';
import { BehaviorSubject } from 'rxjs';
import { Variation } from '../../models/variation/variation';
import { VariationDaoService } from './variation-dao.service';
export declare class VariationService {
    private dao;
    private displayer;
    constructor(dao: VariationDaoService, displayer: DisplayerService);
    getVariationsObs(): BehaviorSubject<Array<Variation> | null>;
    getVariationsIdObs(): BehaviorSubject<Map<string, Variation> | null>;
    setVariation(variation: Variation): Promise<Variation>;
    createVariation(variation: Variation): Promise<Variation>;
    updateVariation(variation: Variation): Promise<Variation>;
    addVariationValue(variation: Variation): Promise<unknown>;
}
