import { EventEmitter, OnInit } from '@angular/core';
import { Category } from '../../../models/category/category';
export declare class CategorySelectListPanelViewComponent implements OnInit {
    select: EventEmitter<Category[]>;
    type: string;
    categoriesSelect: Array<Category>;
    categories: Array<Category>;
    private descending;
    order: number;
    column: string;
    constructor();
    ngOnInit(): void;
    loadCategories(categories: Array<Category>): void;
    setCategories(categories: Array<Category>): void;
    selectCategory(category: Category): void;
    tracking(index: number, category: Category): string;
    sort(): void;
    checking(category: Category): boolean;
}
