import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { DisplayerService } from 'octali-utils';
import { Feature } from '../../../models/feature/feature';
import { FeatureService } from '../../../services/feature/feature.service';
export declare class FeatureCreatePanelViewComponent implements OnInit {
    private formBuilder;
    private displayer;
    private featureService;
    steps: string;
    features: Array<Feature>;
    feature: Feature | null;
    icon: any;
    extensionIcon: string;
    nameIcon: string;
    id: string;
    displayFilter: boolean;
    filter: any;
    display: any;
    isMultiple: boolean;
    withCategory: boolean;
    withValue: boolean;
    nameValue: string;
    typeValue: string;
    type: string;
    description: string;
    descending: boolean;
    order: number;
    column: string;
    columnKey: string;
    featureForm: FormGroup;
    constructor(formBuilder: FormBuilder, displayer: DisplayerService, featureService: FeatureService);
    ngOnInit(): void;
    segmentChanged(panel: any): void;
    seeTips($event: any, message: string): Promise<void>;
    iconSelected(file: any): void;
    onSubmitForm(): Promise<void>;
    save(): void;
    select(feature: Feature): void;
    setWithValue(): void;
    addValue(feature: Feature): Promise<void>;
    removeValue(feature: Feature, value: any): void;
    imgFeatureSelected(feature: Feature, value: any, icon: any): void;
    sort(): void;
}
