import { EventEmitter, OnInit } from '@angular/core';
import { Feature } from '../../../models/feature/feature';
export declare class FeatureListPanelViewComponent implements OnInit {
    view: EventEmitter<Feature>;
    remove: EventEmitter<Feature>;
    featureSelect: Feature | null;
    features: Array<Feature>;
    featuresSelected: Array<Feature>;
    private descending;
    order: number;
    column: string;
    terms: string;
    searchColumn: string;
    constructor();
    ngOnInit(): void;
    loadFeatures(features: Array<Feature>): void;
    setFeatures(features: Array<Feature>): void;
    removeFeature(feature: Feature): void;
    selectFeature(feature: Feature): void;
    tracking(index: number, feature: Feature): string;
    sort(): void;
}
