import { EventEmitter, OnInit } from '@angular/core';
import { Feature } from '../../../models/feature/feature';
import { FeatureService } from '../../../services/feature/feature.service';
export declare class FeatureMapFormDisplayViewComponent implements OnInit {
    private featureService;
    select: EventEmitter<any[]>;
    feature: Feature | null;
    isAdmin: boolean;
    values: Array<any>;
    descending: boolean;
    order: number;
    column: string;
    columnKey: string;
    constructor(featureService: FeatureService);
    ngOnInit(): void;
    getValue(value: any): any;
    myValues(): any;
    addValue(): Promise<void>;
    setValue(values: any): void;
    selectValue(values: any): void;
    compareImgFn(e1: any, e2: any): boolean;
    compareFn(e1: any, e2: any): boolean;
    sort(): void;
}
