import { EventEmitter, OnInit } from '@angular/core';
import { Feature } from '../../../models/feature/feature';
import { FeatureService } from '../../../services/feature/feature.service';
export declare class FeatureValueFormDisplayViewComponent implements OnInit {
    private featureService;
    select: EventEmitter<any[]>;
    feature: Feature | null;
    isAdmin: boolean;
    values: any;
    private valuesWithValue;
    descending: boolean;
    order: number;
    column: string;
    columnKey: string;
    constructor(featureService: FeatureService);
    ngOnInit(): void;
    myValues(): any;
    addValue(): Promise<void>;
    selectValue(values: any): void;
    setValue(value: any, withValue: any): void;
    compareFn(e1: any, e2: any): boolean;
    sort(): void;
}
