import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { Product } from '../../../models/product/product';
import { MakerService } from '../../../services/maker/maker.service';
export declare class ProductListPanelViewComponent implements OnInit, OnDestroy {
    private makerService;
    view: EventEmitter<Product>;
    remove: EventEmitter<Product>;
    edit: EventEmitter<Product>;
    productSelected: Product | null;
    products: Array<Product> | null;
    private makersId;
    private makersSubscribe;
    descending: boolean;
    order: number;
    column: string;
    terms: string;
    searchColumn: string;
    constructor(makerService: MakerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getManufacturerName(product: Product): string;
    loadProducts(products: Array<Product>): void;
    removeProduct(product: Product): void;
    editCategory(product: Product): void;
    selectProduct(product: Product): void;
    trackProducts(index: number, product: Product): string;
    sort(): void;
}
