import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { DisplayerService } from 'octali-utils';
import { Variation } from '../../../models/variation/variation';
import { VariationService } from '../../../services/variation/variation.service';
export declare class VariationCreatePanelViewComponent implements OnInit {
    private formBuilder;
    private displayer;
    private variationService;
    variation: Variation | null;
    variationForm: FormGroup;
    values: Array<any>;
    descending: boolean;
    order: number;
    column: string;
    columnKey: string;
    constructor(formBuilder: FormBuilder, displayer: DisplayerService, variationService: VariationService);
    ngOnInit(): void;
    select(variation: Variation): Promise<void>;
    onSubmitForm(): void;
    addValue(): Promise<void>;
    removeValue(value: any): void;
    imgVariationSelected(value: any, icon: any): void;
}
