export declare class Category {
    private id;
    private statut;
    private name;
    private description;
    private features;
    private thumb;
    private image;
    private parent;
    private children;
    private level;
    private nbProducts;
    private products;
    constructor();
    static setByDocument(doc: any): Category;
    static mapToBdd(category: Category): any;
    getId(): string;
    setId(id: string): void;
    getName(): string;
    setName(name: string): void;
    getDescription(): string;
    setDescription(description: string): void;
    getStatut(): string;
    setStatut(statut: string): void;
    getThumb(): Map<string, string>;
    setThumb(thumb: Map<string, string>): void;
    getImage(): Map<string, string>;
    setImage(image: Map<string, string>): void;
    getParent(): string;
    setParent(parent: string): void;
    getChildren(): Array<string>;
    hasChildren(child: string): boolean;
    addChild(child: string): boolean;
    removeChild(child: string): boolean;
    removeChildren(children: Array<string>): boolean;
    setChildren(children: Array<any>): void;
    getLevel(): number;
    setLevel(lvl: number): void;
    getFeatures(): Array<string>;
    setFeatures(features: Array<string>): void;
    addFeature(feature: string): boolean;
    removeFeature(feature: string): boolean;
    getNbProducts(): number;
    setNbProduct(nb: number): void;
    getProducts(): Array<string>;
    setProduct(products: Array<string>): void;
}
