export declare class Variation {
    private id;
    private name;
    private description;
    private type;
    private typeValue;
    private nameValue;
    private multiple;
    private withCategory;
    private withValue;
    private values;
    private display;
    constructor();
    static setByDocument(doc: any): Variation;
    static mapToBdd(variation: Variation): any;
    getId(): string;
    setId(id: string): void;
    getName(): string;
    setName(name: string): void;
    getDescription(): string;
    setDescription(description: string): void;
    getType(): string;
    setType(type: string): void;
    getTypeValue(): string;
    setTypeValue(type: string): void;
    getNameValue(): string;
    setNameValue(name: string): void;
    getMultiple(): boolean;
    setMultiple(multiple: boolean): void;
    getWithCategory(): boolean;
    setWithCategory(withCategory: boolean): void;
    getWithValue(): string;
    setWithValue(withValue: string): void;
    hasValue(value: string): boolean;
    getValues(): Array<string>;
    setValues(values: Array<string>): void;
    addValue(value: string): boolean;
    getDisplay(): any;
    setDisplay(display: any): void;
}
