import { BehaviorSubject } from 'rxjs';
import { Category } from '../../models/category/category';
import { CategoryDaoService } from './category-dao.service';
export declare class CategoryService {
    private dao;
    constructor(dao: CategoryDaoService);
    getCategoriesObs(): BehaviorSubject<Array<Category> | null>;
    getCategoriesIdObs(): BehaviorSubject<Map<string, Category> | null>;
    setCategory(category: Category): Promise<Category | null>;
    createCategory(category: Category): Promise<Category | null>;
    updateCategory(category: Category): Promise<Category | null>;
    deleteCategory(categoryId: string): Promise<boolean>;
    updateChildren(category: Category): Promise<boolean>;
}
