import { AngularFirestore } from '@angular/fire/firestore';
import { LoggerService } from 'octali-utils';
import { BehaviorSubject } from 'rxjs';
import { Declination } from '../../models/declination/declination';
export declare class DeclinationDaoService {
    private afStore;
    private logger;
    private combinationsObs;
    private combinationsIdObs;
    private combinationsEanObs;
    private combinationsProdObs;
    constructor(afStore: AngularFirestore, logger: LoggerService);
    getCombinationsObs(): BehaviorSubject<Array<Declination> | null>;
    getCombinationsByIdObs(): BehaviorSubject<Map<string, any> | null>;
    getCombinationsByEanObs(): BehaviorSubject<Map<string, Array<any>> | null>;
    getCombinationsByProdObs(): BehaviorSubject<Map<string, Array<any>> | null>;
}
