import { BehaviorSubject } from 'rxjs';
import { Maker } from '../../models/maker/maker';
import { MakerDaoService } from './maker-dao.service';
export declare class MakerService {
    private dao;
    constructor(dao: MakerDaoService);
    getMakersObs(): BehaviorSubject<Array<Maker> | null>;
    getMakersIdObs(): BehaviorSubject<Map<string, Maker> | null>;
    setMaker(maker: Maker): Promise<boolean>;
    createMaker(maker: Maker): Promise<boolean>;
    updateMaker(maker: Maker): Promise<boolean>;
}
