import { AngularFirestore } from '@angular/fire/firestore';
import { LoggerService } from 'octali-utils';
import { BehaviorSubject } from 'rxjs';
import { Variation } from '../../models/variation/variation';
export declare class VariationDaoService {
    private afStore;
    private logger;
    private variationsSubscription;
    private variationsObs;
    private variationsIdObs;
    constructor(afStore: AngularFirestore, logger: LoggerService);
    getVariationsObs(): BehaviorSubject<Array<Variation> | null>;
    getVariationsIdObs(): BehaviorSubject<Map<string, Variation> | null>;
    setVariation(variation: Variation): Promise<Variation>;
    createVariation(variation: Variation): Promise<Variation>;
    updateVariation(variation: Variation): Promise<Variation>;
}
